Checks if the event loop was told to exit

- « EventBase::gotExit

- EventBase::loop »

- PHP Manual
- EventBase
- Checks if the event loop was told to exit

# EventBase::gotStop

(PECL event >= 1.2.6-beta)

EventBase::gotStop — Checks if the event loop was told to exit

### Description

public EventBase::gotStop(): bool

Checks if the event loop was told to exit by EventBase::stop() .

### Parameters

This function has no parameters.

### Return Values

Returns `true`, event loop was told to stop by EventBase::stop() . Otherwise `false`.

### See Also

- EventBase::exit() - Stop dispatching events
- EventBase::stop() - Tells event_base to stop dispatching events
- EventBase::gotExit() - Checks if the event loop was told to exit